Update system name
curl --request PATCH \
--url http://aris.local/api/system/name \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Mountain View Home"
}
'import requests
url = "http://aris.local/api/system/name"
payload = { "name": "Mountain View Home" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Mountain View Home'})
};
fetch('http://aris.local/api/system/name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"name": "Mountain View Home"
}{
"error": "<string>",
"message": "<string>",
"hint": "<string>"
}{
"error": "Unauthorized",
"message": "Valid authentication required"
}System
Update system name
Update the friendly name for this Aris system.
PATCH
/
api
/
system
/
name
Update system name
⌘I

